Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.util
Class DoublyIndexedTable.Entry

    java.lang.Object
      org.apache.batik.util.DoublyIndexedTable.Entry

Enclosing class:
  DoublyIndexedTable

    public static class DoublyIndexedTable.Entry

extends Object

An entry in the `DoublyIndexedTable`.

Field Summary
`protected int` | `hash` The hash code.
`protected Object` | `key1` The first key.
`protected Object` | `key2` The second key.
`protected DoublyIndexedTable.Entry` | `next` The next entry.
`protected Object` | `value` The value.

Constructor Summary
`DoublyIndexedTable.Entry(int hash, Object key1, Object key2, Object value, DoublyIndexedTable.Entry next)` Creates a new entry.

Method Summary
`Object` | `getKey1()` Returns this entry's first key.
`Object` | `getKey2()` Returns this entry's second key.
`Object` | `getValue()` Returns this entry's value.
`protected boolean` | `match(Object o1, Object o2)` Whether this entry match the given keys.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### hash

    protected int hash

  The hash code.

### key1

    protected Object key1

  The first key.

### key2

    protected Object key2

  The second key.

### value

    protected Object value

  The value.

### next

    protected DoublyIndexedTable.Entry next

  The next entry.

Constructor Detail

### DoublyIndexedTable.Entry

    public DoublyIndexedTable.Entry(int hash,
                                    Object key1,
                                    Object key2,
                                    Object value,
                                    DoublyIndexedTable.Entry next)

  Creates a new entry.

Method Detail

### getKey1

    public Object getKey1()

  Returns this entry's first key.

### getKey2

    public Object getKey2()

  Returns this entry's second key.

### getValue

    public Object getValue()

  Returns this entry's value.

### match

    protected boolean match(Object o1,
                            Object o2)

  Whether this entry match the given keys.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.